/* This is the only line you have to change to run the */
/* program. Specify a location in your file system. */
FILENAME out 'c:\web_server\wwwroot\sasweb\HTML-drill';

/* assign graphics options for ODS output */
GOPTIONS XPIXELS=480 YPIXELS=400 GSFNAME=out DEVICE=HTML;

OPTIONS NOBYLINE;

/* create data set REGSALES */
DATA regsales;
	SET sashelp.prdsale;
    LENGTH links $40; /* the HTML variable */
	/* add the HTML variable and assign its values */
	IF country='CANADA' THEN links='href="salereg1.gif"';
  	ELSE IF country='GERMANY' THEN links='href="salereg2.gif"';
  	ELSE IF country='U.S.A.' THEN links='href="salereg3.gif"';
RUN;

proc gchart data=regsales imagemap=salemap;
 	VBAR3D country / SUMVAR=actual
  		PATTERNID=midpoint
  		HTML=links
 		NAME='htmldril';
 	TITLE1 'Company Sales';
RUN;

/* change to GIF driver for pie charts */
GOPTIONS DEVICE=GIF;

PROC SORT DATA=regsales OUT=regsales;
	BY country;
RUN;

/* Create three charts that use the HTML variable */
PROC GCHART DATA=regsales;
  	DONUT product / SUMVAR=actual
    	NOHEADING
		SLICE=OUTSIDE
		PERCENT=INSIDE
		VALUE=INSIDE
   		NAME='salereg1';
	BY country;
	TITLE2 'Product Sales for #BYVAL(country)';
RUN;
QUIT;

FILENAME out CLEAR;
