%MACRO imagehtml(dir=,device=);
	FILENAME imagedir "&dir\device_&device";
	PROC GREPLAY IGOUT=work.gseg NOFS;
   		DELETE _ALL_;
	RUN;
	QUIT;
	GOPTIONS DEVICE=&device GSFNAME=imagedir;
    PROC SORT DATA=sashelp.class OUT=work.class;
		BY sex;
	RUN;
	PROC GCHART DATA=work.class;
    	BY sex;
		VBAR3D age / SUMVAR=weight SUBGROUP=name SHAPE=STAR DISCRETE;
		TITLE 'VBAR3D Test Graph - #byval(sex)';
	RUN;
	QUIT;
	FILENAME imagedir CLEAR;
%MEND;

%imagehtml(dir=c:\web_server\wwwroot\sasweb,device=HTML)
%imagehtml(dir=c:\web_server\wwwroot\sasweb,device=WEBFRAME)

%MACRO imageobject(dir=,device=);
    ODS LISTING CLOSE;
    ODS HTML file="&dir\&device..html";
		GOPTIONS DEVICE=&device;
		PROC GCHART DATA=sashelp.class;
			VBAR3D age / SUMVAR=weight SUBGROUP=sex SHAPE=STAR DISCRETE;
			TITLE "VBAR3D Test Graph - device=&device";
		RUN;
		QUIT;
    ODS HTML CLOSE;
    ODS LISTING;
%MEND;

%imageobject(dir=c:\web_server\wwwroot\sasweb,device=ACTIVEX)
%imageobject(dir=c:\web_server\wwwroot\sasweb,device=JAVA)